package com.mortals.xhx.module.staff.model;

import java.util.List;
/**
 * 员工基本信息查询对象
 *
 * @author zxfei
 * @date 2023-04-10
 */
public class StaffQuery extends StaffEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 员工姓名 */
    private List<String> nameList;

    /** 员工姓名排除列表 */
    private List <String> nameNotList;
    /** 开始 性别(1.男,2.女) */
    private Integer genderStart;

    /** 结束 性别(1.男,2.女) */
    private Integer genderEnd;

    /** 增加 性别(1.男,2.女) */
    private Integer genderIncrement;

    /** 性别(1.男,2.女)列表 */
    private List <Integer> genderList;

    /** 性别(1.男,2.女)排除列表 */
    private List <Integer> genderNotList;

    /** 开始 出生日期 */
    private String birthdayStart;

    /** 结束 出生日期 */
    private String birthdayEnd;

    /** 照片 */
    private List<String> photoPathList;

    /** 照片排除列表 */
    private List <String> photoPathNotList;
    /** 联系电话 */
    private List<String> phoneNumberList;

    /** 联系电话排除列表 */
    private List <String> phoneNumberNotList;
    /** 身份证号码 */
    private List<String> idCardList;

    /** 身份证号码排除列表 */
    private List <String> idCardNotList;
    /** 工号 */
    private List<String> workNumList;

    /** 工号排除列表 */
    private List <String> workNumNotList;
    /** 开始 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它) */
    private Integer politicalstatusStart;

    /** 结束 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它) */
    private Integer politicalstatusEnd;

    /** 增加 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它) */
    private Integer politicalstatusIncrement;

    /** 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)列表 */
    private List <Integer> politicalstatusList;

    /** 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)排除列表 */
    private List <Integer> politicalstatusNotList;

    /** 开始 所属部门 */
    private Long deptIdStart;

    /** 结束 所属部门 */
    private Long deptIdEnd;

    /** 增加 所属部门 */
    private Long deptIdIncrement;

    /** 所属部门列表 */
    private List <Long> deptIdList;

    /** 所属部门排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 职位ID */
    private Long positionIdStart;

    /** 结束 职位ID */
    private Long positionIdEnd;

    /** 增加 职位ID */
    private Long positionIdIncrement;

    /** 职位ID列表 */
    private List <Long> positionIdList;

    /** 职位ID排除列表 */
    private List <Long> positionIdNotList;

    /** 职位名称 */
    private List<String> positionNameList;

    /** 职位名称排除列表 */
    private List <String> positionNameNotList;
    /** 开始 员工类型（1.全职,2.兼职,3.实习) */
    private Integer staffTypeStart;

    /** 结束 员工类型（1.全职,2.兼职,3.实习) */
    private Integer staffTypeEnd;

    /** 增加 员工类型（1.全职,2.兼职,3.实习) */
    private Integer staffTypeIncrement;

    /** 员工类型（1.全职,2.兼职,3.实习)列表 */
    private List <Integer> staffTypeList;

    /** 员工类型（1.全职,2.兼职,3.实习)排除列表 */
    private List <Integer> staffTypeNotList;

    /** 开始 员工状态(1.正式,2.试用,3.离职) */
    private Integer statusStart;

    /** 结束 员工状态(1.正式,2.试用,3.离职) */
    private Integer statusEnd;

    /** 增加 员工状态(1.正式,2.试用,3.离职) */
    private Integer statusIncrement;

    /** 员工状态(1.正式,2.试用,3.离职)列表 */
    private List <Integer> statusList;

    /** 员工状态(1.正式,2.试用,3.离职)排除列表 */
    private List <Integer> statusNotList;

    /** 入职登记表 */
    private List<String> registerPathList;

    /** 入职登记表排除列表 */
    private List <String> registerPathNotList;
    /** 开始 入职时间 */
    private String entryDateStart;

    /** 结束 入职时间 */
    private String entryDateEnd;

    /** 开始 转正时间 */
    private String regularDateStart;

    /** 结束 转正时间 */
    private String regularDateEnd;

    /** 开始 离职时间 */
    private String leaveDateStart;

    /** 结束 离职时间 */
    private String leaveDateEnd;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 备注id */
    private List<String> remarkIdList;

    /** 备注id排除列表 */
    private List <String> remarkIdNotList;
    /** 开始 员工来源(1.外部,2.内部) */
    private Integer sourceStart;

    /** 结束 员工来源(1.外部,2.内部) */
    private Integer sourceEnd;

    /** 增加 员工来源(1.外部,2.内部) */
    private Integer sourceIncrement;

    /** 员工来源(1.外部,2.内部)列表 */
    private List <Integer> sourceList;

    /** 员工来源(1.外部,2.内部)排除列表 */
    private List <Integer> sourceNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<StaffQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<StaffQuery> andConditionList;

    public StaffQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 员工姓名
     * @return nameList
     */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
     * 设置 员工姓名
     * @param nameList
     */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
     * 获取 员工姓名
     * @return nameNotList
     */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
     * 设置 员工姓名
     * @param nameNotList
     */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
     * 获取 开始 性别(1.男,2.女)
     * @return genderStart
     */
    public Integer getGenderStart(){
        return this.genderStart;
    }

    /**
     * 设置 开始 性别(1.男,2.女)
     * @param genderStart
     */
    public void setGenderStart(Integer genderStart){
        this.genderStart = genderStart;
    }

    /**
     * 获取 结束 性别(1.男,2.女)
     * @return $genderEnd
     */
    public Integer getGenderEnd(){
        return this.genderEnd;
    }

    /**
     * 设置 结束 性别(1.男,2.女)
     * @param genderEnd
     */
    public void setGenderEnd(Integer genderEnd){
        this.genderEnd = genderEnd;
    }

    /**
     * 获取 增加 性别(1.男,2.女)
     * @return genderIncrement
     */
    public Integer getGenderIncrement(){
        return this.genderIncrement;
    }

    /**
     * 设置 增加 性别(1.男,2.女)
     * @param genderIncrement
     */
    public void setGenderIncrement(Integer genderIncrement){
        this.genderIncrement = genderIncrement;
    }

    /**
     * 获取 性别(1.男,2.女)
     * @return genderList
     */
    public List<Integer> getGenderList(){
        return this.genderList;
    }

    /**
     * 设置 性别(1.男,2.女)
     * @param genderList
     */
    public void setGenderList(List<Integer> genderList){
        this.genderList = genderList;
    }

    /**
     * 获取 性别(1.男,2.女)
     * @return genderNotList
     */
    public List<Integer> getGenderNotList(){
        return this.genderNotList;
    }

    /**
     * 设置 性别(1.男,2.女)
     * @param genderNotList
     */
    public void setGenderNotList(List<Integer> genderNotList){
        this.genderNotList = genderNotList;
    }


    /**
     * 获取 开始 出生日期
     * @return birthdayStart
     */
    public String getBirthdayStart(){
        return this.birthdayStart;
    }

    /**
     * 设置 开始 出生日期
     * @param birthdayStart
     */
    public void setBirthdayStart(String birthdayStart){
        this.birthdayStart = birthdayStart;
    }

    /**
     * 获取 结束 出生日期
     * @return birthdayEnd
     */
    public String getBirthdayEnd(){
        return this.birthdayEnd;
    }

    /**
     * 设置 结束 出生日期
     * @param birthdayEnd
     */
    public void setBirthdayEnd(String birthdayEnd){
        this.birthdayEnd = birthdayEnd;
    }

    /**
     * 获取 照片
     * @return photoPathList
     */
    public List<String> getPhotoPathList(){
        return this.photoPathList;
    }

    /**
     * 设置 照片
     * @param photoPathList
     */
    public void setPhotoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
    }

    /**
     * 获取 照片
     * @return photoPathNotList
     */
    public List<String> getPhotoPathNotList(){
        return this.photoPathNotList;
    }

    /**
     * 设置 照片
     * @param photoPathNotList
     */
    public void setPhotoPathNotList(List<String> photoPathNotList){
        this.photoPathNotList = photoPathNotList;
    }

    /**
     * 获取 联系电话
     * @return phoneNumberList
     */
    public List<String> getPhoneNumberList(){
        return this.phoneNumberList;
    }

    /**
     * 设置 联系电话
     * @param phoneNumberList
     */
    public void setPhoneNumberList(List<String> phoneNumberList){
        this.phoneNumberList = phoneNumberList;
    }

    /**
     * 获取 联系电话
     * @return phoneNumberNotList
     */
    public List<String> getPhoneNumberNotList(){
        return this.phoneNumberNotList;
    }

    /**
     * 设置 联系电话
     * @param phoneNumberNotList
     */
    public void setPhoneNumberNotList(List<String> phoneNumberNotList){
        this.phoneNumberNotList = phoneNumberNotList;
    }

    /**
     * 获取 身份证号码
     * @return idCardList
     */
    public List<String> getIdCardList(){
        return this.idCardList;
    }

    /**
     * 设置 身份证号码
     * @param idCardList
     */
    public void setIdCardList(List<String> idCardList){
        this.idCardList = idCardList;
    }

    /**
     * 获取 身份证号码
     * @return idCardNotList
     */
    public List<String> getIdCardNotList(){
        return this.idCardNotList;
    }

    /**
     * 设置 身份证号码
     * @param idCardNotList
     */
    public void setIdCardNotList(List<String> idCardNotList){
        this.idCardNotList = idCardNotList;
    }

    /**
     * 获取 工号
     * @return workNumList
     */
    public List<String> getWorkNumList(){
        return this.workNumList;
    }

    /**
     * 设置 工号
     * @param workNumList
     */
    public void setWorkNumList(List<String> workNumList){
        this.workNumList = workNumList;
    }

    /**
     * 获取 工号
     * @return workNumNotList
     */
    public List<String> getWorkNumNotList(){
        return this.workNumNotList;
    }

    /**
     * 设置 工号
     * @param workNumNotList
     */
    public void setWorkNumNotList(List<String> workNumNotList){
        this.workNumNotList = workNumNotList;
    }

    /**
     * 获取 开始 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
     * @return politicalstatusStart
     */
    public Integer getPoliticalstatusStart(){
        return this.politicalstatusStart;
    }

    /**
     * 设置 开始 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
     * @param politicalstatusStart
     */
    public void setPoliticalstatusStart(Integer politicalstatusStart){
        this.politicalstatusStart = politicalstatusStart;
    }

    /**
     * 获取 结束 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
     * @return $politicalstatusEnd
     */
    public Integer getPoliticalstatusEnd(){
        return this.politicalstatusEnd;
    }

    /**
     * 设置 结束 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
     * @param politicalstatusEnd
     */
    public void setPoliticalstatusEnd(Integer politicalstatusEnd){
        this.politicalstatusEnd = politicalstatusEnd;
    }

    /**
     * 获取 增加 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
     * @return politicalstatusIncrement
     */
    public Integer getPoliticalstatusIncrement(){
        return this.politicalstatusIncrement;
    }

    /**
     * 设置 增加 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
     * @param politicalstatusIncrement
     */
    public void setPoliticalstatusIncrement(Integer politicalstatusIncrement){
        this.politicalstatusIncrement = politicalstatusIncrement;
    }

    /**
     * 获取 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
     * @return politicalstatusList
     */
    public List<Integer> getPoliticalstatusList(){
        return this.politicalstatusList;
    }

    /**
     * 设置 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
     * @param politicalstatusList
     */
    public void setPoliticalstatusList(List<Integer> politicalstatusList){
        this.politicalstatusList = politicalstatusList;
    }

    /**
     * 获取 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
     * @return politicalstatusNotList
     */
    public List<Integer> getPoliticalstatusNotList(){
        return this.politicalstatusNotList;
    }

    /**
     * 设置 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
     * @param politicalstatusNotList
     */
    public void setPoliticalstatusNotList(List<Integer> politicalstatusNotList){
        this.politicalstatusNotList = politicalstatusNotList;
    }


    /**
     * 获取 开始 所属部门
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 所属部门
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 所属部门
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 所属部门
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 所属部门
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 所属部门
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 所属部门
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 所属部门
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 所属部门
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 所属部门
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 所属部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 所属部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 开始 职位ID
     * @return positionIdStart
     */
    public Long getPositionIdStart(){
        return this.positionIdStart;
    }

    /**
     * 设置 开始 职位ID
     * @param positionIdStart
     */
    public void setPositionIdStart(Long positionIdStart){
        this.positionIdStart = positionIdStart;
    }

    /**
     * 获取 结束 职位ID
     * @return $positionIdEnd
     */
    public Long getPositionIdEnd(){
        return this.positionIdEnd;
    }

    /**
     * 设置 结束 职位ID
     * @param positionIdEnd
     */
    public void setPositionIdEnd(Long positionIdEnd){
        this.positionIdEnd = positionIdEnd;
    }

    /**
     * 获取 增加 职位ID
     * @return positionIdIncrement
     */
    public Long getPositionIdIncrement(){
        return this.positionIdIncrement;
    }

    /**
     * 设置 增加 职位ID
     * @param positionIdIncrement
     */
    public void setPositionIdIncrement(Long positionIdIncrement){
        this.positionIdIncrement = positionIdIncrement;
    }

    /**
     * 获取 职位ID
     * @return positionIdList
     */
    public List<Long> getPositionIdList(){
        return this.positionIdList;
    }

    /**
     * 设置 职位ID
     * @param positionIdList
     */
    public void setPositionIdList(List<Long> positionIdList){
        this.positionIdList = positionIdList;
    }

    /**
     * 获取 职位ID
     * @return positionIdNotList
     */
    public List<Long> getPositionIdNotList(){
        return this.positionIdNotList;
    }

    /**
     * 设置 职位ID
     * @param positionIdNotList
     */
    public void setPositionIdNotList(List<Long> positionIdNotList){
        this.positionIdNotList = positionIdNotList;
    }


    /**
     * 获取 职位名称
     * @return positionNameList
     */
    public List<String> getPositionNameList(){
        return this.positionNameList;
    }

    /**
     * 设置 职位名称
     * @param positionNameList
     */
    public void setPositionNameList(List<String> positionNameList){
        this.positionNameList = positionNameList;
    }

    /**
     * 获取 职位名称
     * @return positionNameNotList
     */
    public List<String> getPositionNameNotList(){
        return this.positionNameNotList;
    }

    /**
     * 设置 职位名称
     * @param positionNameNotList
     */
    public void setPositionNameNotList(List<String> positionNameNotList){
        this.positionNameNotList = positionNameNotList;
    }

    /**
     * 获取 开始 员工类型（1.全职,2.兼职,3.实习)
     * @return staffTypeStart
     */
    public Integer getStaffTypeStart(){
        return this.staffTypeStart;
    }

    /**
     * 设置 开始 员工类型（1.全职,2.兼职,3.实习)
     * @param staffTypeStart
     */
    public void setStaffTypeStart(Integer staffTypeStart){
        this.staffTypeStart = staffTypeStart;
    }

    /**
     * 获取 结束 员工类型（1.全职,2.兼职,3.实习)
     * @return $staffTypeEnd
     */
    public Integer getStaffTypeEnd(){
        return this.staffTypeEnd;
    }

    /**
     * 设置 结束 员工类型（1.全职,2.兼职,3.实习)
     * @param staffTypeEnd
     */
    public void setStaffTypeEnd(Integer staffTypeEnd){
        this.staffTypeEnd = staffTypeEnd;
    }

    /**
     * 获取 增加 员工类型（1.全职,2.兼职,3.实习)
     * @return staffTypeIncrement
     */
    public Integer getStaffTypeIncrement(){
        return this.staffTypeIncrement;
    }

    /**
     * 设置 增加 员工类型（1.全职,2.兼职,3.实习)
     * @param staffTypeIncrement
     */
    public void setStaffTypeIncrement(Integer staffTypeIncrement){
        this.staffTypeIncrement = staffTypeIncrement;
    }

    /**
     * 获取 员工类型（1.全职,2.兼职,3.实习)
     * @return staffTypeList
     */
    public List<Integer> getStaffTypeList(){
        return this.staffTypeList;
    }

    /**
     * 设置 员工类型（1.全职,2.兼职,3.实习)
     * @param staffTypeList
     */
    public void setStaffTypeList(List<Integer> staffTypeList){
        this.staffTypeList = staffTypeList;
    }

    /**
     * 获取 员工类型（1.全职,2.兼职,3.实习)
     * @return staffTypeNotList
     */
    public List<Integer> getStaffTypeNotList(){
        return this.staffTypeNotList;
    }

    /**
     * 设置 员工类型（1.全职,2.兼职,3.实习)
     * @param staffTypeNotList
     */
    public void setStaffTypeNotList(List<Integer> staffTypeNotList){
        this.staffTypeNotList = staffTypeNotList;
    }


    /**
     * 获取 开始 员工状态(1.正式,2.试用,3.离职)
     * @return statusStart
     */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
     * 设置 开始 员工状态(1.正式,2.试用,3.离职)
     * @param statusStart
     */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
     * 获取 结束 员工状态(1.正式,2.试用,3.离职)
     * @return $statusEnd
     */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
     * 设置 结束 员工状态(1.正式,2.试用,3.离职)
     * @param statusEnd
     */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
     * 获取 增加 员工状态(1.正式,2.试用,3.离职)
     * @return statusIncrement
     */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
     * 设置 增加 员工状态(1.正式,2.试用,3.离职)
     * @param statusIncrement
     */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
     * 获取 员工状态(1.正式,2.试用,3.离职)
     * @return statusList
     */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
     * 设置 员工状态(1.正式,2.试用,3.离职)
     * @param statusList
     */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
     * 获取 员工状态(1.正式,2.试用,3.离职)
     * @return statusNotList
     */
    public List<Integer> getStatusNotList(){
        return this.statusNotList;
    }

    /**
     * 设置 员工状态(1.正式,2.试用,3.离职)
     * @param statusNotList
     */
    public void setStatusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
    }


    /**
     * 获取 入职登记表
     * @return registerPathList
     */
    public List<String> getRegisterPathList(){
        return this.registerPathList;
    }

    /**
     * 设置 入职登记表
     * @param registerPathList
     */
    public void setRegisterPathList(List<String> registerPathList){
        this.registerPathList = registerPathList;
    }

    /**
     * 获取 入职登记表
     * @return registerPathNotList
     */
    public List<String> getRegisterPathNotList(){
        return this.registerPathNotList;
    }

    /**
     * 设置 入职登记表
     * @param registerPathNotList
     */
    public void setRegisterPathNotList(List<String> registerPathNotList){
        this.registerPathNotList = registerPathNotList;
    }

    /**
     * 获取 开始 入职时间
     * @return entryDateStart
     */
    public String getEntryDateStart(){
        return this.entryDateStart;
    }

    /**
     * 设置 开始 入职时间
     * @param entryDateStart
     */
    public void setEntryDateStart(String entryDateStart){
        this.entryDateStart = entryDateStart;
    }

    /**
     * 获取 结束 入职时间
     * @return entryDateEnd
     */
    public String getEntryDateEnd(){
        return this.entryDateEnd;
    }

    /**
     * 设置 结束 入职时间
     * @param entryDateEnd
     */
    public void setEntryDateEnd(String entryDateEnd){
        this.entryDateEnd = entryDateEnd;
    }

    /**
     * 获取 开始 转正时间
     * @return regularDateStart
     */
    public String getRegularDateStart(){
        return this.regularDateStart;
    }

    /**
     * 设置 开始 转正时间
     * @param regularDateStart
     */
    public void setRegularDateStart(String regularDateStart){
        this.regularDateStart = regularDateStart;
    }

    /**
     * 获取 结束 转正时间
     * @return regularDateEnd
     */
    public String getRegularDateEnd(){
        return this.regularDateEnd;
    }

    /**
     * 设置 结束 转正时间
     * @param regularDateEnd
     */
    public void setRegularDateEnd(String regularDateEnd){
        this.regularDateEnd = regularDateEnd;
    }

    /**
     * 获取 开始 离职时间
     * @return leaveDateStart
     */
    public String getLeaveDateStart(){
        return this.leaveDateStart;
    }

    /**
     * 设置 开始 离职时间
     * @param leaveDateStart
     */
    public void setLeaveDateStart(String leaveDateStart){
        this.leaveDateStart = leaveDateStart;
    }

    /**
     * 获取 结束 离职时间
     * @return leaveDateEnd
     */
    public String getLeaveDateEnd(){
        return this.leaveDateEnd;
    }

    /**
     * 设置 结束 离职时间
     * @param leaveDateEnd
     */
    public void setLeaveDateEnd(String leaveDateEnd){
        this.leaveDateEnd = leaveDateEnd;
    }

    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 备注id
     * @return remarkIdList
     */
    public List<String> getRemarkIdList(){
        return this.remarkIdList;
    }

    /**
     * 设置 备注id
     * @param remarkIdList
     */
    public void setRemarkIdList(List<String> remarkIdList){
        this.remarkIdList = remarkIdList;
    }

    /**
     * 获取 备注id
     * @return remarkIdNotList
     */
    public List<String> getRemarkIdNotList(){
        return this.remarkIdNotList;
    }

    /**
     * 设置 备注id
     * @param remarkIdNotList
     */
    public void setRemarkIdNotList(List<String> remarkIdNotList){
        this.remarkIdNotList = remarkIdNotList;
    }

    /**
     * 获取 开始 员工来源(1.外部,2.内部)
     * @return sourceStart
     */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
     * 设置 开始 员工来源(1.外部,2.内部)
     * @param sourceStart
     */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
     * 获取 结束 员工来源(1.外部,2.内部)
     * @return $sourceEnd
     */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
     * 设置 结束 员工来源(1.外部,2.内部)
     * @param sourceEnd
     */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
     * 获取 增加 员工来源(1.外部,2.内部)
     * @return sourceIncrement
     */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
     * 设置 增加 员工来源(1.外部,2.内部)
     * @param sourceIncrement
     */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
     * 获取 员工来源(1.外部,2.内部)
     * @return sourceList
     */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
     * 设置 员工来源(1.外部,2.内部)
     * @param sourceList
     */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
     * 获取 员工来源(1.外部,2.内部)
     * @return sourceNotList
     */
    public List<Integer> getSourceNotList(){
        return this.sourceNotList;
    }

    /**
     * 设置 员工来源(1.外部,2.内部)
     * @param sourceNotList
     */
    public void setSourceNotList(List<Integer> sourceNotList){
        this.sourceNotList = sourceNotList;
    }


    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public StaffQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public StaffQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public StaffQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public StaffQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public StaffQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public StaffQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }


    /**
     * 设置 员工姓名
     * @param name
     */
    public StaffQuery name(String name){
        setName(name);
        return this;
    }

    /**
     * 设置 员工姓名
     * @param nameList
     */
    public StaffQuery nameList(List<String> nameList){
        this.nameList = nameList;
        return this;
    }

    /**
     * 设置  性别(1.男,2.女)
     * @param gender
     */
    public StaffQuery gender(Integer gender){
        setGender(gender);
        return this;
    }

    /**
     * 设置 开始 性别(1.男,2.女)
     * @param genderStart
     */
    public StaffQuery genderStart(Integer genderStart){
        this.genderStart = genderStart;
        return this;
    }

    /**
     * 设置 结束 性别(1.男,2.女)
     * @param genderEnd
     */
    public StaffQuery genderEnd(Integer genderEnd){
        this.genderEnd = genderEnd;
        return this;
    }

    /**
     * 设置 增加 性别(1.男,2.女)
     * @param genderIncrement
     */
    public StaffQuery genderIncrement(Integer genderIncrement){
        this.genderIncrement = genderIncrement;
        return this;
    }

    /**
     * 设置 性别(1.男,2.女)
     * @param genderList
     */
    public StaffQuery genderList(List<Integer> genderList){
        this.genderList = genderList;
        return this;
    }

    /**
     * 设置 性别(1.男,2.女)
     * @param genderNotList
     */
    public StaffQuery genderNotList(List<Integer> genderNotList){
        this.genderNotList = genderNotList;
        return this;
    }



    /**
     * 设置 照片
     * @param photoPath
     */
    public StaffQuery photoPath(String photoPath){
        setPhotoPath(photoPath);
        return this;
    }

    /**
     * 设置 照片
     * @param photoPathList
     */
    public StaffQuery photoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
        return this;
    }


    /**
     * 设置 联系电话
     * @param phoneNumber
     */
    public StaffQuery phoneNumber(String phoneNumber){
        setPhoneNumber(phoneNumber);
        return this;
    }

    /**
     * 设置 联系电话
     * @param phoneNumberList
     */
    public StaffQuery phoneNumberList(List<String> phoneNumberList){
        this.phoneNumberList = phoneNumberList;
        return this;
    }


    /**
     * 设置 身份证号码
     * @param idCard
     */
    public StaffQuery idCard(String idCard){
        setIdCard(idCard);
        return this;
    }

    /**
     * 设置 身份证号码
     * @param idCardList
     */
    public StaffQuery idCardList(List<String> idCardList){
        this.idCardList = idCardList;
        return this;
    }


    /**
     * 设置 工号
     * @param workNum
     */
    public StaffQuery workNum(String workNum){
        setWorkNum(workNum);
        return this;
    }

    /**
     * 设置 工号
     * @param workNumList
     */
    public StaffQuery workNumList(List<String> workNumList){
        this.workNumList = workNumList;
        return this;
    }

    /**
     * 设置  政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
     * @param politicalstatus
     */
    public StaffQuery politicalstatus(Integer politicalstatus){
        setPoliticalstatus(politicalstatus);
        return this;
    }

    /**
     * 设置 开始 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
     * @param politicalstatusStart
     */
    public StaffQuery politicalstatusStart(Integer politicalstatusStart){
        this.politicalstatusStart = politicalstatusStart;
        return this;
    }

    /**
     * 设置 结束 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
     * @param politicalstatusEnd
     */
    public StaffQuery politicalstatusEnd(Integer politicalstatusEnd){
        this.politicalstatusEnd = politicalstatusEnd;
        return this;
    }

    /**
     * 设置 增加 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
     * @param politicalstatusIncrement
     */
    public StaffQuery politicalstatusIncrement(Integer politicalstatusIncrement){
        this.politicalstatusIncrement = politicalstatusIncrement;
        return this;
    }

    /**
     * 设置 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
     * @param politicalstatusList
     */
    public StaffQuery politicalstatusList(List<Integer> politicalstatusList){
        this.politicalstatusList = politicalstatusList;
        return this;
    }

    /**
     * 设置 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
     * @param politicalstatusNotList
     */
    public StaffQuery politicalstatusNotList(List<Integer> politicalstatusNotList){
        this.politicalstatusNotList = politicalstatusNotList;
        return this;
    }

    /**
     * 设置  所属部门
     * @param deptId
     */
    public StaffQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 所属部门
     * @param deptIdStart
     */
    public StaffQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 所属部门
     * @param deptIdEnd
     */
    public StaffQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属部门
     * @param deptIdIncrement
     */
    public StaffQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 所属部门
     * @param deptIdList
     */
    public StaffQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 所属部门
     * @param deptIdNotList
     */
    public StaffQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 所属部门名称
     * @param deptName
     */
    public StaffQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public StaffQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }

    /**
     * 设置  职位ID
     * @param positionId
     */
    public StaffQuery positionId(Long positionId){
        setPositionId(positionId);
        return this;
    }

    /**
     * 设置 开始 职位ID
     * @param positionIdStart
     */
    public StaffQuery positionIdStart(Long positionIdStart){
        this.positionIdStart = positionIdStart;
        return this;
    }

    /**
     * 设置 结束 职位ID
     * @param positionIdEnd
     */
    public StaffQuery positionIdEnd(Long positionIdEnd){
        this.positionIdEnd = positionIdEnd;
        return this;
    }

    /**
     * 设置 增加 职位ID
     * @param positionIdIncrement
     */
    public StaffQuery positionIdIncrement(Long positionIdIncrement){
        this.positionIdIncrement = positionIdIncrement;
        return this;
    }

    /**
     * 设置 职位ID
     * @param positionIdList
     */
    public StaffQuery positionIdList(List<Long> positionIdList){
        this.positionIdList = positionIdList;
        return this;
    }

    /**
     * 设置 职位ID
     * @param positionIdNotList
     */
    public StaffQuery positionIdNotList(List<Long> positionIdNotList){
        this.positionIdNotList = positionIdNotList;
        return this;
    }


    /**
     * 设置 职位名称
     * @param positionName
     */
    public StaffQuery positionName(String positionName){
        setPositionName(positionName);
        return this;
    }

    /**
     * 设置 职位名称
     * @param positionNameList
     */
    public StaffQuery positionNameList(List<String> positionNameList){
        this.positionNameList = positionNameList;
        return this;
    }

    /**
     * 设置  员工类型（1.全职,2.兼职,3.实习)
     * @param staffType
     */
    public StaffQuery staffType(Integer staffType){
        setStaffType(staffType);
        return this;
    }

    /**
     * 设置 开始 员工类型（1.全职,2.兼职,3.实习)
     * @param staffTypeStart
     */
    public StaffQuery staffTypeStart(Integer staffTypeStart){
        this.staffTypeStart = staffTypeStart;
        return this;
    }

    /**
     * 设置 结束 员工类型（1.全职,2.兼职,3.实习)
     * @param staffTypeEnd
     */
    public StaffQuery staffTypeEnd(Integer staffTypeEnd){
        this.staffTypeEnd = staffTypeEnd;
        return this;
    }

    /**
     * 设置 增加 员工类型（1.全职,2.兼职,3.实习)
     * @param staffTypeIncrement
     */
    public StaffQuery staffTypeIncrement(Integer staffTypeIncrement){
        this.staffTypeIncrement = staffTypeIncrement;
        return this;
    }

    /**
     * 设置 员工类型（1.全职,2.兼职,3.实习)
     * @param staffTypeList
     */
    public StaffQuery staffTypeList(List<Integer> staffTypeList){
        this.staffTypeList = staffTypeList;
        return this;
    }

    /**
     * 设置 员工类型（1.全职,2.兼职,3.实习)
     * @param staffTypeNotList
     */
    public StaffQuery staffTypeNotList(List<Integer> staffTypeNotList){
        this.staffTypeNotList = staffTypeNotList;
        return this;
    }

    /**
     * 设置  员工状态(1.正式,2.试用,3.离职)
     * @param status
     */
    public StaffQuery status(Integer status){
        setStatus(status);
        return this;
    }

    /**
     * 设置 开始 员工状态(1.正式,2.试用,3.离职)
     * @param statusStart
     */
    public StaffQuery statusStart(Integer statusStart){
        this.statusStart = statusStart;
        return this;
    }

    /**
     * 设置 结束 员工状态(1.正式,2.试用,3.离职)
     * @param statusEnd
     */
    public StaffQuery statusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
        return this;
    }

    /**
     * 设置 增加 员工状态(1.正式,2.试用,3.离职)
     * @param statusIncrement
     */
    public StaffQuery statusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
        return this;
    }

    /**
     * 设置 员工状态(1.正式,2.试用,3.离职)
     * @param statusList
     */
    public StaffQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
        return this;
    }

    /**
     * 设置 员工状态(1.正式,2.试用,3.离职)
     * @param statusNotList
     */
    public StaffQuery statusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
        return this;
    }


    /**
     * 设置 入职登记表
     * @param registerPath
     */
    public StaffQuery registerPath(String registerPath){
        setRegisterPath(registerPath);
        return this;
    }

    /**
     * 设置 入职登记表
     * @param registerPathList
     */
    public StaffQuery registerPathList(List<String> registerPathList){
        this.registerPathList = registerPathList;
        return this;
    }





    /**
     * 设置 备注
     * @param remark
     */
    public StaffQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public StaffQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public StaffQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public StaffQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public StaffQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public StaffQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public StaffQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public StaffQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public StaffQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public StaffQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public StaffQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public StaffQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public StaffQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public StaffQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 备注id
     * @param remarkId
     */
    public StaffQuery remarkId(String remarkId){
        setRemarkId(remarkId);
        return this;
    }

    /**
     * 设置 备注id
     * @param remarkIdList
     */
    public StaffQuery remarkIdList(List<String> remarkIdList){
        this.remarkIdList = remarkIdList;
        return this;
    }

    /**
     * 设置  员工来源(1.外部,2.内部)
     * @param source
     */
    public StaffQuery source(Integer source){
        setSource(source);
        return this;
    }

    /**
     * 设置 开始 员工来源(1.外部,2.内部)
     * @param sourceStart
     */
    public StaffQuery sourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
        return this;
    }

    /**
     * 设置 结束 员工来源(1.外部,2.内部)
     * @param sourceEnd
     */
    public StaffQuery sourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
        return this;
    }

    /**
     * 设置 增加 员工来源(1.外部,2.内部)
     * @param sourceIncrement
     */
    public StaffQuery sourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
        return this;
    }

    /**
     * 设置 员工来源(1.外部,2.内部)
     * @param sourceList
     */
    public StaffQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
        return this;
    }

    /**
     * 设置 员工来源(1.外部,2.内部)
     * @param sourceNotList
     */
    public StaffQuery sourceNotList(List<Integer> sourceNotList){
        this.sourceNotList = sourceNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<StaffQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<StaffQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<StaffQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<StaffQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}